@echo off
echo 启动Clash测速服务...

REM 检查Go是否安装
go version >nul 2>&1
if errorlevel 1 (
    echo 错误: 未找到Go，请先安装Go语言环境
    pause
    exit /b 1
)

REM 安装依赖
echo 安装依赖...
go mod tidy

REM 编译项目
echo 编译项目...
go build -o clash-speed-test.exe .

REM 运行程序
echo 启动服务...
clash-speed-test.exe

pause 